coupang
POST/v2/providers/marketplace_openapi/apis/api/v1/coupons/expirev1

[Downloadable Coupon] Expiring Download Coupon

# 01

Summary

Available buyer market: Korea Expire (terminate) the downloadable coupon created. By using "requestTransactionId" received as a response, you can search 'downloadable coupon request status check API' to get the actual result of the API call.

# 02

Details

Available buyer market: Korea
Expire (terminate) the downloadable coupon created.
By using "requestTransactionId" received as a response, you can search 'downloadable coupon request status check API' to get the actual result of the API call. 

Path

POST

/v2/providers/marketplace_openapi/apis/api/v1/coupons/expire

Example Endpoint

https://api-gateway.coupang.com/v2/providers/marketplace_openapi/apis/api/v1/coupons/expire

Request Parameters

Body Parameter

Name Required Type Description
expireCouponList O Array
Data to expire the download coupon
  couponId   Integer
Coupon ID
Shown on coupon creation response
  reason   String
Input expired 
  userId   String
User account (WING ID)

Request Example

{  
   "expireCouponList":[  
      {  
         "couponId":"16513129",
         "reason":"expired",
         "userId":"testId123"
      }
   ]
}

Response Message

Name Type Description
requestResultStatus String
Call result
SUCCESS / FAIL
body Object
 
  couponId Long
Coupon ID
Shown on coupon creation response
  requestTransactionId String
Token value to see the call result
errorCode String
Categorization when an error occurs
errorMessage String
Details of the error

Response Example

[
  {
    "requestResultStatus": "SUCCESS",
    "body": {
      "couponId": 16513129,
      "requestTransactionId": "et5_165131291561017478962"
    },
    "errorCode": null,
    "errorMessage": null
  }
]

Error Spec

HTTP Status Code (Error Type) Error Message Solution
500 (Check Parameter Requested) There is no coupon to expire. Check whether CouponID is correctly input. 

URL API Name

EXPIRE_COUPONS